Package twisted :: Package spread :: Module flavors :: Class RemoteCacheObserver |
[frames | no frames]

## Class RemoteCacheObserver

I am a reverse-reference to the peer's `RemoteCache`.

I am generated automatically when a cache is serialized. I represent a reference to the client's `RemoteCache` object that will represent a particular `Cacheable`; I am the additional object passed to getStateToCacheAndObserveFor.

Method Summary
| ``__init__`(self, broker, cached, perspective)` (internal) Initialize me.
| ``__cmp__`(self, other)` Compare me to another `RemoteCacheObserver`.
| ``__hash__`(self)` Generate a hash unique to all `RemoteCacheObserver`s for this broker/perspective/cached triplet
| `__repr__(self)`
| ``callRemote`(self, _name, *args, **kw)` (internal) action method.
| ``remoteMethod`(self, key)` Get a `pb.RemoteMethod` for this key.

Method Details

### __init__(self, broker, cached, perspective) (Constructor) (internal) Initialize me. Parameters: `broker` - a `pb.Broker` instance. `cached` - a `Cacheable` instance that this `RemoteCacheObserver` corresponds to. `perspective` - a reference to the perspective who is observing this.

### __cmp__(self, other) (Comparison operator) Compare me to another `RemoteCacheObserver`.

### __hash__(self) (Hashing function) Generate a hash unique to all `RemoteCacheObserver`s for this broker/perspective/cached triplet

### callRemote(self, _name, *args, **kw) (internal) action method.

### remoteMethod(self, key) Get a `pb.RemoteMethod` for this key.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:59 2003 | http://epydoc.sf.net